{% extends 'public/public.html.twig' %}

{% block javascripts %}
    {% if res is defined and res.code and res.code==200 %}
        <script src="{{ asset('assets/js/template/public/user/active.js') }}"></script>
    {% endif %}
    {{ parent() }}
{% endblock %}

{% block content %}

    {% if res is defined and res.user is defined and res.user %}

        {% set message %}

            <input type="hidden" id="uuidUser" value="{{ res.user }}"/>

            <h1>{{ res.message }}</h1>

            {% if res.code != 200 %}
                <div>Vous pouvez redemander un nouvel email d'activation en cliquant sur le bouton ci-dessous</div>
                <button class="btn-info" type="button" id="sendEmailActivationAccount" style="margin: 10px auto;">
                    Recevoir un email
                </button>
            {% else %}
                <p>Vous allez être redirigé d'ici quelques instants veuillez patienter...</p>
                <script type="javascript">
                    rechargePage();
                </script>
            {% endif %}

        {% endset %}

    {% else %}

        {% set message %}

            <h1>Cet utilisateur est inexistant.<br/>Veuillez créer un nouveau compte.</h1>

        {% endset %}

    {% endif %}


    {% include('/message_page.html.twig') %}

{% endblock %}